WebCenter Domain Reconfig Error "oracle.security.jps.JpsException: JPS-06198: OPSS Schema is not upgraded. Current schema version is 11.1.1.7.0. Schema version for upgrade is 12.2.1.0.0" (Doc ID 2261918.1)

Last updated on MAY 04, 2017

Applies to:

Oracle Platform Security for Java - Version 11.1.1.7.0 and later
Oracle WebCenter Portal - Version 11.1.1.8.0 and later
Information in this document applies to any platform.

Symptoms

When attempting to upgrade WebCenter Portal from 11.1.1.9 to 12.2.1.2.0, the 'reconfig' step fails with the following error message (reconfig.log):

oracle.security.jps.JpsException: JPS-06198: OPSS Schema is not upgraded. Current schema version is 11.1.1.7.0. Schema version for upgrade is 12.2.1.0.0
at oracle.security.jps.upgrade.tools.utility.Upgrade.isSchemaUpgraded(Upgrade.java:1153)

at oracle.security.jps.upgrade.tools.utility.Upgrade.upgradeOPSSDITAndData(Upgrade.java:1011)
at oracle.security.jps.upgrade.tools.utility.Upgrade.upgradeOPSS(Upgrade.java:772)
at oracle.security.opss.tools.lifecycle.OpssDomainConfigImpl.reconfigSubsystem(OpssDomainConfigImpl.java:359)
at oracle.security.opss.tools.lifecycle.OpssDomainConfigImpl.initializeSubsystem(OpssDomainConfigImpl.java:271)
at oracle.security.opss.tools.lifecycle.cie.OpssSecurityConfiguration.initializeSubsystem(OpssSecurityConfiguration.java:188)
at com.oracle.cie.domain.progress.template.importer.ImporterOPSSProcessingPhase.initialize(ImporterOPSSProcessingPhase.java:36)
at com.oracle.cie.domain.progress.domain.generation.OPSSProcessingPhase.processOPSS(OPSSProcessingPhase.java:154)
at com.oracle.cie.domain.progress.domain.generation.OPSSProcessingPhase.execute(OPSSProcessingPhase.java:54)
at com.oracle.cie.domain.progress.AbstractProgressGenerator.run(AbstractProgressGenerator.java:94)
at java.lang.Thread.run(Thread.java:745)

at oracle.security.jps.upgrade.tools.utility.Upgrade.covertExceptionWithStackTrace(Upgrade.java:1292)
at oracle.security.jps.upgrade.tools.utility.Upgrade.upgradeOPSSDITAndData(Upgrade.java:1120)
at oracle.security.jps.upgrade.tools.utility.Upgrade.upgradeOPSS(Upgrade.java:772)
at oracle.security.opss.tools.lifecycle.OpssDomainConfigImpl.reconfigSubsystem(OpssDomainConfigImpl.java:359)
at oracle.security.opss.tools.lifecycle.OpssDomainConfigImpl.initializeSubsystem(OpssDomainConfigImpl.java:271)
at oracle.security.opss.tools.lifecycle.cie.OpssSecurityConfiguration.initializeSubsystem(OpssSecurityConfiguration.java:188)
at com.oracle.cie.domain.progress.template.importer.ImporterOPSSProcessingPhase.initialize(ImporterOPSSProcessingPhase.java:36)
at com.oracle.cie.domain.progress.domain.generation.OPSSProcessingPhase.processOPSS(OPSSProcessingPhase.java:154)
at com.oracle.cie.domain.progress.domain.generation.OPSSProcessingPhase.execute(OPSSProcessingPhase.java:54)
at com.oracle.cie.domain.progress.AbstractProgressGenerator.run(AbstractProgressGenerator.java:94)
at java.lang.Thread.run(Thread.java:745)
Caused by: oracle.security.jps.JpsException: JPS-06198: OPSS Schema is not upgraded. Current schema version is 11.1.1.7.0. Schema version for upgrade is 12.2.1.0.0
at oracle.security.jps.upgrade.tools.utility.Upgrade.isSchemaUpgraded(Upgrade.java:1153)
at oracle.security.jps.upgrade.tools.utility.Upgrade.upgradeOPSSDITAndData(Upgrade.java:1011)
... 9 more



Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms